import { Bucket, IEntity } from "./Bucket";
export declare class World<E extends IEntity> extends Bucket<E> {
    addProperty<P extends keyof E>(entity: E, property: P, value: E[P]): void;
    removeProperty<P extends keyof E>(entity: E, property: P): void;
    archetype<P extends keyof E>(...properties: P[]): Bucket<import("./Bucket").EntityWith<E, P>>;
}
